org.apache.xmlbeans.impl.xb.xmlconfig

## Interface Qnametargetlist

- All Superinterfaces:
    XmlAnySimpleType, XmlObject, XmlTokenSource
  All Known Implementing Classes:
    QnametargetlistImpl

      public interface Qnametargetlist
      extends XmlAnySimpleType

  An XML qnametargetlist(@http://xml.apache.org/xmlbeans/2004/02/xbean/config). This is a list type whose items are org.apache.xmlbeans.impl.xb.xmlconfig.Qnametargetenum.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SimpleTypeFactory<Qnametargetlist>` | `Factory`
    `static SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List` | `getListValue()`
    `void` | `setListValue(List<?> list)`
    `List` | `xgetListValue()`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

      `getStringValue, setStringValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final SimpleTypeFactory<Qnametargetlist> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getListValue

          List getListValue()

    - #### xgetListValue

          List xgetListValue()

    - #### setListValue

          void setListValue(List<?> list)